# Elasticsearch settings
ELASTICSEARCH_URL = "10.1.0.1"
ELASTICSEARCH_PORT = 9200
ELASTICSEARCH_TLS = True
ELASTICSEARCH_USERNAME = "admin"
ELASTICSEARCH_PASSWORD = "secret"

# Manticore settings
MANTICORE_URL = "http://example-db-1:9308"

DB_BACKEND = "ELASTICSEARCH"

# Common DB settings
INDEX_MAIN = "main"
INDEX_RESTRICTED = "restricted"
INDEX_META = "meta"
INDEX_INT = "internal"

MAIN_SIZES = ["1", "5", "15", "30", "50", "100", "250", "500", "1000"]
MAIN_SIZES_ANON = ["1", "5", "15", "30", "50", "100"]
MAIN_SOURCES = ["dis", "4ch", "all"]
SOURCES_RESTRICTED = ["irc"]
CACHE = False
CACHE_TIMEOUT = 2

DRILLDOWN_RESULTS_PER_PAGE = 15
DRILLDOWN_DEFAULT_PARAMS = {
    "size": "15",
    "index": "main",
    "sorting": "desc",
    "source": "4ch",
}


# Encryption
# ENCRYPTION = False
# ENCRYPTION_KEY = b""

# Hashing
# HASHING = True
# HASHING_KEY = "xxx"

# Obfuscation
# OBFUSCATION = True
# # Fields obfuscate based on separators
# OBFUSCATE_FIELDS_SEP = ["date", "time"]
# # Fields to obfuscate based on length
# OBFUSCATE_FIELDS = ["ts"]
# OBFUSCATE_KEEP_RATIO = 0.9
# # DON'T obfuscate the last X fields of values separates by dashes
# OBFUSCATE_DASH_NUM = 2
# # DON'T obfuscate the last X fields of values separates by colons
# OBFUSCATE_COLON_NUM = 1

# SEARCH_FIELDS_DENY = ["ts", "date", "time"]

# DELAY_RESULTS = True
# # Delay results by this many days
# DELAY_DURATION = 10

ELASTICSEARCH_BLACKLISTED = {}


# URLs\
DOMAIN = "example.com"
URL = f"https://{DOMAIN}"

# Access control
ALLOWED_HOSTS = ["127.0.0.1", DOMAIN]

# CSRF
CSRF_TRUSTED_ORIGINS = [URL]

# Stripe
STRIPE_TEST = True
STRIPE_API_KEY_TEST = ""
STRIPE_PUBLIC_API_KEY_TEST = ""

STRIPE_API_KEY_PROD = ""
STRIPE_PUBLIC_API_KEY_PROD = ""

STRIPE_ENDPOINT_SECRET = ""
STATIC_ROOT = ""
SECRET_KEY = "a"

STRIPE_ADMIN_COUPON = ""

# Threshold
THRESHOLD_ENDPOINT = "http://threshold:13869"
THRESHOLD_API_KEY = "api_1"
THRESHOLD_API_TOKEN = ""
THRESHOLD_API_COUNTER = ""

# NickTrace
NICKTRACE_MAX_ITERATIONS = 4
NICKTRACE_MAX_CHUNK_SIZE = 500
NICKTRACE_QUERY_SIZE = 10000

# Meta
META_MAX_ITERATIONS = 4
META_MAX_CHUNK_SIZE = 500
META_QUERY_SIZE = 10000

DEBUG = True
PROFILER = False
